use "${raw}\2011\PRESELECTION.dta", clear
	
	replace codevil = "0470104" if codevil == "04701."
	
	* Asserting "0960303" as a control village
	
	list codevil preselected treated control if codevil == "0960303"
	replace treated = 0 if codevil == "0960303"
	replace control = 1 if codevil == "0960303"
	replace preselected = 1 if codevil == "0960303"
	
	la var emicov2006 "EMICoV 2006 village"
	
	keep if preselected == 1
	
	*Strata dummies
	gen str strata = ""
	replace strata = substr(codevil, 1,3) + "0" if emicov2006 == 0	
	replace strata = substr(codevil, 1,3) + "1" if emicov2006 == 1
	destring strata, replace
	la var strata 	"Lottery strata"
	
	keep  codevil strata treated etf*
	order codevil strata treated etf*
	compress
save "${build}\treatmentstatus.dta", replace